Index: Apodize/Apodize.hxx
===================================================================
RCS file: /cvsroot/devel/Calibrate/Apodize/Apodize.hxx,v
retrieving revision 1.2
diff -u -r1.2 Apodize.hxx
--- Apodize/Apodize.hxx	11 Apr 2006 21:25:04 -0000	1.2
+++ Apodize/Apodize.hxx	11 Apr 2006 21:26:51 -0000
@@ -96,10 +96,10 @@
          apodFun(ports.obs_in->size()*2, 0.0),
          forwardFFT(
                  getFFTSettings<MyFFT>( MyFFT::FORWARD, MyFFT::ESTIMATE),  
-                 MyFFT::Ports(&mirroredSpectrum, &interferogram)),
+                 typename MyFFT::Ports(&mirroredSpectrum, &interferogram)),
          backwardFFT(
                  getFFTSettings<MyFFT>( MyFFT::BACKWARD, MyFFT::ESTIMATE),
-                 MyFFT::Ports(&interferogram, &mirroredSpectrum))
+                 typename MyFFT::Ports(&interferogram, &mirroredSpectrum))
     {
             FBF::load(apodFun, (ports.obs_in->size() == 1024) ? APOD_FUN_LW_FILENAME : APOD_FUN_MW_FILENAME);
     } 
Index: Ifg2Spectrum/IfgToSpectrum.hxx
===================================================================
RCS file: /cvsroot/devel/Calibrate/Ifg2Spectrum/IfgToSpectrum.hxx,v
retrieving revision 1.9
diff -u -r1.9 IfgToSpectrum.hxx
--- Ifg2Spectrum/IfgToSpectrum.hxx	11 Apr 2006 20:41:32 -0000	1.9
+++ Ifg2Spectrum/IfgToSpectrum.hxx	11 Apr 2006 21:26:51 -0000
@@ -142,9 +142,9 @@
 public:
     explicit IfgToSpectrum( const settings_t &settings_, const Ports &ports ): settings(settings_), P(ports),
         // initialize sub-capsules to move data between capsule input and output
-        capsule1( MyIfgShift::Ports(ports.obs_in,&is2cf) ), 
-        capsule2( _cfSettings(), MyCplxFFT::Ports(&is2cf,&cf2sc) ), 
-        capsule3( _scSettings(), MySpectrumChop::Ports(&cf2sc,ports.obs_out) )
+        capsule1( typename MyIfgShift::Ports(ports.obs_in,&is2cf) ), 
+        capsule2( _cfSettings(), typename MyCplxFFT::Ports(&is2cf,&cf2sc) ), 
+        capsule3( _scSettings(), typename MySpectrumChop::Ports(&cf2sc,ports.obs_out) )
     { }  
     
     void operator() ()
Index: Pipeline/SimCal3.hxx
===================================================================
RCS file: /cvsroot/devel/Calibrate/Pipeline/SimCal3.hxx,v
retrieving revision 1.3
diff -u -r1.3 SimCal3.hxx
--- Pipeline/SimCal3.hxx	11 Apr 2006 20:41:32 -0000	1.3
+++ Pipeline/SimCal3.hxx	11 Apr 2006 21:26:51 -0000
@@ -300,15 +300,15 @@
             // ESTIMATE = slower per pixel performance. Set to MEASURE for prod
 			// and ESTIMATE for debug( also fbf file output, fewer pixels)
 #ifdef DEBUG_MODE
-            i2s(Ifg2Spc::settings_t(unsigned(IFG_SIZE/2), Ifg2Spc::ESTIMATE), i2sPorts),
+            i2s(typename Ifg2Spc::settings_t(unsigned(IFG_SIZE/2), Ifg2Spc::ESTIMATE), i2sPorts),
 #else
-            i2s(Ifg2Spc::settings_t(unsigned(IFG_SIZE/2), Ifg2Spc::MEASURE), i2sPorts),
+            i2s(typename Ifg2Spc::settings_t(unsigned(IFG_SIZE/2), Ifg2Spc::MEASURE), i2sPorts),
 #endif
             study(studyPorts),
             synth(synthPorts),
             c3b(calPorts),
             rolloff(rollPorts),
-            resample(Resample::settings_t(settings_.wnumScale), rplePorts)   
+            resample(typename Resample::settings_t(settings_.wnumScale), rplePorts)   
             {
                 // Rolloff subcapsule's ancil structs: set here since they 
                 // will not change per pixel
Index: Resample/Resample.hxx
===================================================================
RCS file: /cvsroot/devel/Calibrate/Resample/Resample.hxx,v
retrieving revision 1.9
diff -u -r1.9 Resample.hxx
--- Resample/Resample.hxx	11 Apr 2006 20:41:32 -0000	1.9
+++ Resample/Resample.hxx	11 Apr 2006 21:26:52 -0000
@@ -110,10 +110,10 @@
          normalization(1.0 / static_cast<double>(ports.obs_in->size() * 2)),
          forwardFFT(
                  getFFTSettings<SmallFFT>( SmallFFT::FORWARD, SmallFFT::MEASURE),  
-                 SmallFFT::Ports(&mirroredSpectrum, &shortIfg)),
+                 typename SmallFFT::Ports(&mirroredSpectrum, &shortIfg)),
          backwardFFT(
                  getFFTSettings<BigFFT>( BigFFT::BACKWARD, BigFFT::MEASURE),
-                 BigFFT::Ports(&zeroFilledIfg, &upsampledSpectrum))
+                 typename BigFFT::Ports(&zeroFilledIfg, &upsampledSpectrum))
     {
         std::fill(zeroFilledIfg.begin(), zeroFilledIfg.end(), 0.0);
     } 
